/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Copyright (c) 2008-2017, Petr Kobalicek

This software is provided 'as-is', without any express or implied
warranty. In no event will the authors be held liable for any damages
arising from the use of this software.

Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute it
freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not
   claim that you wrote the original software. If you use this software
   in a product, an acknowledgment in the product documentation would be
   appreciated but is not required.
2. Altered source versions must be plainly marked as such, and must not be
   misrepresented as being the original software.
3. This notice may not be removed or altered from any source distribution.
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
#ifndef __PLUMED_asmjit_base_h
#define __PLUMED_asmjit_base_h
// [AsmJit]
// Complete x86/x64 JIT and Remote Assembler for C++.
//
// [License]
// Zlib - See LICENSE.md file in the package.

// [Guard]
#ifndef _ASMJIT_BASE_H
#define _ASMJIT_BASE_H

// [Dependencies]
#include "./arch.h"
#include "./assembler.h"
#include "./codebuilder.h"
#include "./codecompiler.h"
#include "./codeemitter.h"
#include "./codeholder.h"
#include "./constpool.h"
#include "./cpuinfo.h"
#include "./func.h"
#include "./globals.h"
#include "./inst.h"
#include "./logging.h"
#include "./operand.h"
#include "./osutils.h"
#include "./runtime.h"
#include "./simdtypes.h"
#include "./moved_string.h"
#include "./utils.h"
#include "./vmem.h"
#include "./zone.h"

// [Guard]
#endif // _ASMJIT_BASE_H
#endif
